summaryrefslogtreecommitdiffstats
path: root/games/dmagnetic/dmagnetic.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/dmagnetic/dmagnetic.SlackBuild')
-rw-r--r--games/dmagnetic/dmagnetic.SlackBuild102
1 files changed, 102 insertions, 0 deletions
diff --git a/games/dmagnetic/dmagnetic.SlackBuild b/games/dmagnetic/dmagnetic.SlackBuild
new file mode 100644
index 0000000000..a3cc5ca2af
--- /dev/null
+++ b/games/dmagnetic/dmagnetic.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for dmagnetic
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Note: no desktop integration or icons here. This application has to
+# be run from the command line, unless the user's gone to the trouble
+# of creating an .ini file... and even then you have to put the game
+# name on the command line (so you'd need 7 .desktop files, none of
+# which would work OOTB).
+
+# MANVER is separate in case upstream produces e.g. a version 0.32.1
+# but keeps the manual version at 0.32. No idea if this will ever
+# happen. The manual source is available, as TeX source, but I see no
+# reason to build it instead of using the prebuilt PDF file.
+
+# 20230820 bkw: update for v0.37.
+# 20230128 bkw: update for v0.36 (that was quick!)
+# 20230112 bkw: update for v0.34.
+# 20220316 bkw: BUILD=2, derp, gzip the man pages.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=dmagnetic
+SRCNAM=dMagnetic
+VERSION=${VERSION:-0.37}
+MANVER=${MANVER:-$VERSION}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}_$VERSION
+tar xvf $CWD/${SRCNAM}_$VERSION.tar.bz2
+cd ${SRCNAM}_$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+make CFLAGS="$SLKCFLAGS"
+strip $SRCNAM
+make install \
+ MYPREFIX=$PKG/usr \
+ INSTALLBIN=$PKG/usr/games \
+ INSTALLMAN=$PKG/usr/man
+
+gzip $PKG/usr/man/man*/*
+
+# lowercase name aliases.
+ln -s $SRCNAM.6.gz $PKG/usr/man/man6/$PRGNAM.6.gz
+ln -s $SRCNAM $PKG/usr/games/$PRGNAM
+
+# game doesn't actually use the .txt files at runtime, mv to doc dir.
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+mv $PKG/usr/share/games/$SRCNAM/{README,LICENSE}.txt $PKGDOC
+install -p -oroot -groot -m0644 $CWD/${SRCNAM}_${MANVER//./}.pdf $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE